@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100..900&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");


:root {
    --black: #000000;
    --white: #ffffff;
    --primary-red: #DF1F26;
    --gray-bg: #F2F2F2;
    --secondary-red: #C8102E;
    --blue: #C5DDF8;
    --dark-red: #920409;
    --disponible: #A9E2A9;
    --lleno: #B3B2B2;
    --inscrito: #C5DDF8;
    --gris-oscuro: #575757;
}

body {
  font-family: 'Montserrat', sans-serif;
}

.fs-12 {
    font-size: 12px;
}

.fs-14 {
    font-size: 14px;
}

.fs-16 {
    font-size: 16px;
}

.fs-18 {
    font-size: 18px;
}

.fs-24 {
    font-size: 24px;
}

.color-red {
    color: var(--primary-red);
}

.bg-gray {
    background-color: #E4E4E4;
}

.bg-light-gray {
    background-color: var(--gray-bg);
}

.h2 {
    font-size: 28px;
    font-weight: 600;
}

.h3 {
    font-size: 20px;
    font-weight: 700;
}

.sobretitulo {
    font-size: 24px;
    font-weight: 600;
}

.navbar-expand-lg .navbar-nav .nav-link {
    color: var(--white);
    font-size: 16px;
    padding: 5px 0;
    font-weight: 400;
    position: relative;
    display: inline-block;
}

.navbar-nav  .nav-link::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: var(--primary-red);
    transition: all .3s;
}

.navbar-nav  .nav-link:hover {
    font-weight: 500;
    color: var(--white);
}

.navbar-nav  .nav-link:hover::after {
    width: 100%;
}

.navbar-nav  .nav-link.active::after {
    width: 100%;
}

.footer {
    background-color: #151515;
    color: #D1D1D1;
}

.footer-logo {
    max-width: 180px;
    height: auto;
}

.footer-links {
    list-style: none;
    display: flex;
    column-gap: 10px;
    justify-content: center;
    padding-left: 0;
}

.footer-link {
    color: var(--white);
    text-underline-offset: 5px;
    text-align: center;
    font-size: 14px;
}

.footer-item {
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-item:not(:last-child)::after {
    content: '\F309';
    font-family: "bootstrap-icons";
    position: relative;
    margin-left: 10px;
}

.footer-link:hover {
    text-decoration: none;
}

.footer-copyright {
    font-size: 14px;
    text-align: center;
}

.btn {
    padding: 8px;
}

.btn-primario {
    background-color: var(--primary-red);
    font-size: 16px;
    color: var(--white);
    font-weight: 500;
    transition: all 0.5s ease-in-out;
}

.btn-primario:hover {
    background-color: var(--dark-red);
    color: var(--white);
}

.btn-secundario {
    border: 2px solid var(--primary-red);
    font-weight: 500;
    color: var(--primary-red);
    background-color: var(--white);
    transition: all 0.5s ease-in-out;
}

.btn-secundario:hover {
    background-color: var(--primary-red);
    color: var(--white);
}

.btn-secundario-dark {
    position: relative;
    color: var(--white);
    border: 1px solid var(--white);
    display: inline-block;
    overflow: hidden;
    font-size: 16px;
}

.btn-secundario-dark::after {
    content: '';
    position: absolute;
    background-color: transparent;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    transition: all .3s;
}

.btn-secundario-dark:hover {
    color: var(--black);
    border: 1px solid var(--white);
}

.btn-secundario-dark:hover::after {
    background-color: var(--white);
    width: 100%;
}

.btn-text {
    position: relative;
    z-index: 1;
    font-weight: 600;
}

.navbar-toggler-icon {
    background: none;
}

.navbar-toggler-icon::after {
    content: '\F479';
    font-family: "bootstrap-icons";
    color: var(--white);
    font-size: 30px;
}

.navbar-toggler[aria-expanded=true] .navbar-toggler-icon::after {
    content: '\F62A';
}

.navbar-toggler {
    border: none;
}

.navbar-brand img {
    width: 70%;
}

.dropdown-cuenta {
    border-radius: 6px;
    color:var(--white);
    font-size: 16px;
    font-weight: 500;
    padding: 5px 0;
    position: relative;
    border: none;
}

.dropdown-cuenta::before {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: var(--primary-red);
    transition: all .3s;
}

.dropdown-cuenta:hover {
    font-weight: 500;
    color: var(--white);
}

.dropdown-cuenta:hover::before {
    width: 100%;
}

.main-nav .offcanvas.show {
    width: 100%;
}

.img-perfil {
    width: 30px;
    height: 30px;
    border-radius: 50px;
}

.btn-cerrar-sesion {
    font-size: 16px;
    padding: 0;
}

.dropdown-menu {
    background-color: var(--black);
    border: none;
    border-radius: 0;
}

.dropdown-menu .nav-link:hover::after {
    width: 0;
}

.dropdown-menu .nav-link:hover {
    font-weight: 600;
    background-color: rgba(255, 255, 255, 0.1);
}

.hero {
    position: relative;
    width: 100%;
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 0;
    left: 0;
    z-index: 0;
}

.hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--black);
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.16) 9.53%, rgba(0, 0, 0, 0.57) 69.99%);
}

.hero-content {
  position: relative;
  z-index: 3;
  max-width: 800px;
  padding: 1rem;
  color: var(--white);
  text-align: center;
}

.hero-description {
    font-size: 18px;
}

.card-gris {
    background-color: var(--white);
    border: none;
    border-top: 1px solid var(--primary-red);
    border-radius: 0;
    padding: 20px 15px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.status-badge {
    font-size: 12px;
    padding: 0 8px;
    display: inline-block;
    font-weight: 500;
    border-radius: 50px;
}

.status-badge.confirmado {
    background-color: var(--blue);
}

.btn-text-red {
    color: var(--primary-red);
    font-size: 16px;
    text-decoration: underline;
    text-underline-offset: 7px;
    text-align: center;
}

.btn-text-red:hover {
    text-decoration: none;
    color: var(--dark-red);
    transition: all 0.5s ease-in-out;
}

.link,
.archivo-link {
    font-weight: 600;
    color: var(--primary-red);
}

.link:hover,
.archivo-link:hover {
    text-decoration: none;
    color: var(--dark-red);
}

.text-small-italic {
    font-size: 12px;
    font-style: italic;
}

.accordion-item {
    box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.1);
    border-radius: 5px !important;
}

.accordion-button:focus,
.accordion-button:focus-visible {
    box-shadow: none;
}

.accordion-button {
    padding: 8px 20px;
    border-radius: 5px!important;
}

.accordion-button[aria-expanded="true"] {
    border-radius: 5px 5px 0 0 !important;
}

.accordion-button:not(.collapsed) {
    background-color: var(--white);
}

.equipo-foto {
    width: 130px;
    height: 77px;
    object-fit: contain;
}

.equipo-titulo {
    font-size: 29px;
    font-weight: 700;
}

.search-box {
    position: relative;
}

.search-box .form-control {
    border-radius: 50px;
    padding-right: 3rem;
}

.search-box button {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    border: none;
    background: transparent;
    color: #6c757d;
}

.perfil-header {
    margin-top: 100px;
}

.avatar-img {
    border-radius: 20px;
    width: 100px;
    height: 100px;
    object-fit: cover;
}

.nav-pills .perfil-nav-link {
    border-radius: 0;
    background-color: transparent;
    color: var(--gris-oscuro);
    font-weight: 500;
    font-size: 16px;
    padding: 8px 0 !important;
    justify-content: center;
    text-decoration: none;
    padding: 10px;
    box-shadow: inset 0 -4px 0 transparent;
    transition: all 0.5s ease-in-out;
}

.nav-pills .perfil-nav-link:active {
    color: var(--primary-red);
    border: none;
    outline: none;
}

.nav-pills .perfil-nav-link:hover {
    color: var(--primary-red);
    box-shadow: inset 0 -4px 0 var(--primary-red);
}

.perfil-nav-item {
    display: flex;
}

.user-info {
    display: flex;
    width: 100%;
    align-items: center;
    gap: 20px;
}

.equipo-img-wrapper {
    background-color: var(--white);
    width: 100%;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.equipo-img {
    width: auto;
    height: 120px;
    object-fit: contain;
    max-width: 100%;
}

.taller-img {
    width: 100%;
    height: auto;
    object-fit: cover;
    aspect-ratio: 382 / 197;
}

.badge-nivel {
    font-size: 12px;
    padding: 0 8px;
    display: inline-block;
    font-weight: 500;
    border-radius: 50px;
    background-color: var(--primary-red);
    color: var(--white);
    position: absolute;
    bottom: 0;
    right: 5px;
}

.talleres-realizados {
    background-color: var(--white);
    padding: 8px;
    border-radius: 10px;
    color: var(--primary-red);
}

.btn-eliminar {
    font-size: 20px;
    color: var(--primary-red);
    padding: 0 10px;
}

.nav-tabs {
    border: none;
}

.nav-tabs .nav-link {
    color: var(--gris-oscuro);
    margin-right: 10px;
    border: none;
}

.nav-tabs .nav-link:hover {
    border: none;
    border-bottom: 5px solid var(--primary-red);
}

.nav-tabs .nav-link.active {
    font-weight: 600;
    color: var(--primary-red);
    border: none;
    border-bottom: 5px solid var(--primary-red);
}

.locked-label {
    font-weight: 500;
}

.locked-label a {
    color: var(--dark-red);
    font-size: 16px;
}

.img-datos {
    width: 200px;
    height: 200px;
    object-fit: cover;
    border-radius: 15px;
}

.form-control,
.form-select {
    border-color: #707070;
}

.modal-header,
.modal-footer {
    border: none;
}

.tabs-taller.nav-tabs {
    border-bottom: none;
}

.tabs-taller .nav-link {
    border-color: #c7c7c7;
    border-bottom: none;
}

.tabs-taller .nav-link.active {
    background-color: var(--gray-bg);
    border-bottom: none;
}

.tabs-content-taller {
    border-radius: 0 10px 10px 10px;
    font-size: 16px;
}

.form-switch .form-check-input {
    border-color: #707070;
    width: 40px;
}

.form-switch .form-check-input:checked {
    background-color: var(--primary-red);
    border-color: var(--primary-red);
}

.table-asistencia tr th,
.table-asistencia tr td {
    background-color: transparent;
}

.pagination .page-link {
    background-color: transparent;
    color: var(--black);
    border: none;
    font-weight: 500;
    padding: 6px 14px;
    border-radius: 5px;
}

.pagination .page-link:hover {
    background-color: rgba(200, 16, 47, 0.199);
}

.pagination .page-item.active .page-link {
    background-color: var(--primary-red);
    font-weight: 700;
    color: white;
}

.calendar {
  border-radius: 20px;
  border: 1px solid #C8C8C8;
}

.calendar_grid {
  display: grid;
  grid-template-columns: repeat(7,1fr);
  gap: 8px;
}

.calendar_weekday {
  font-size: 12px;
  font-weight:600;
  text-align: center;
}

.calendar_day {
  min-height: 130px;
  border-radius: 12px;
  border: 1px solid #bbbbbb;
  padding: 8px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  text-align: left;
  background-color: var(--white);
  transition:.2s;
}

.calendar_day:hover,
.calendar_day:focus-visible {
    border-color: var(--primary);
    outline: 2px solid rgba(253, 13, 13, 0.25);
    outline: none;
}

.calendar_day--disponible {
    background-color: var(--disponible);
}

.calendar_day--inscrito {
    background-color: var(--inscrito);
}

.calendar_day--lleno {
    background-color: var(--lleno);
}

.calendar_day--vacio {
    pointer-events: none;
}

.calendar_day--finSemana {
    pointer-events: none;
    background-color: var(--gray-bg);
}

.calendar_day time {
    display: block;
    font-size: 14px;
    font-weight:600;
}

.calendar_event {
    display: block;
    font-size: 14px;
    line-height: 1.2;
}

.calendar_event-time {
    display: block;
    font-size: 14px;
    color: #424242;
}

.cal-legend span {
  font-size: 16px;
}

.cal-dot {
  width: 16px;
  height: 16px;
  border-radius: 5px;
  display: inline-block;
}

.cal-dot--disponible {
    background:var(--disponible);
}
.cal-dot--inscrito {
    background:var(--inscrito);
}
.cal-dot--lleno {
    background:var(--lleno);
}

.calendar_btn-todos {
    font-size: 14px;
    font-weight: 600;
    text-decoration: underline;
    text-underline-offset: 2px;
}

.accordion-talleres .accordion-button {
    color: #000000;
    font-weight: 500;
    padding-top: 15px;
    padding-bottom: 15px;
}

.accordion-talleres .disponible .accordion-button {
    background-color: var(--disponible);
}

.accordion-talleres .inscrito .accordion-button {
    background-color: var(--inscrito);
}

.accordion-talleres .lleno .accordion-button {
    background-color: var(--lleno);
}

.login-hero {
  /* background: url('/images/canon-inicio.jpg') center/cover no-repeat; */
  min-height: 100vh;
}

.login-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.4);
}

.btn-gray {
    background-color: transparent;
    color: var(--black);
    border: 3px solid #EEEEEE;
    font-weight: 500;
}

.btn-gray:hover {
    background-color: #EEEEEE;
}

.img-xs-small {
    width: 22px;
    height: auto;
    max-height: 25px;
}

.accordion-faq {
    box-shadow: none;
}

.accordion-faq .accordion-button {
    background-color: var(--gray-bg);
    font-weight: 700;
    color: var(--black);
    padding-top: 20px;
    padding-bottom: 20px;
}

.accordion-faq .accordion-item {
    margin-bottom: 16px;
    box-shadow: none;
    border-color: var(--gray-bg);
}

.icon-info {
    font-size: 150px;
}

.whatsapp-btn {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 55px;
    height: 55px;
    right: 20px;
    bottom: 20px;
    background-color: #25D366;
    border-radius: 50px;
    color: white;
    font-size: 25px;
    z-index: 1000;
}

.loader {
    display: flex;
    min-height: calc(100vh - 100px);
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.camera-loader {
  width: 80px;
  height: 80px;
}

.loader .stroke {
  fill: none;
  stroke: #DF1F26;
  stroke-width: 0.8;
  stroke-linecap: round;
  stroke-linejoin: round;
}

/* Cuerpo */
.path-body {
  stroke-dasharray: 75 25;
  animation: flow-body 4s linear infinite;
}

/* Lente */
.path-lens {
  stroke-dasharray: 28 22;
  animation: flow-lens 6s ease-in-out infinite;
}

/* Animación cuerpo */
@keyframes flow-body {
  from {
    stroke-dashoffset: 0;
  }
  to {
    stroke-dashoffset: -60;
  }
}

/* Animación lente */
@keyframes flow-lens {
  0% {
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dashoffset: -20;
  }
  100% {
    stroke-dashoffset: -40;
  }
}

.w-60-responsive {
    width: 100%;
}

.taller-info {
    width: 100%;
}

.btn-agregar {
    width: 100%;
}

.btn-navegacion {
    padding: 5px;
}

.login-logo img {
    width: 100px;
}

.titulo-login {
    font-size: 24px;
}

.descripcion-login {
    font-size: 14px;
}

.animated-card {
    transition: all .2s linear;
}

.animated-card:hover {
    transform: translateY(-2px);
    box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.15);
}

/* Tablet */
@media (min-width: 992px) {
    .navbar-expand-lg .offcanvas .offcanvas-body {
        justify-content: end;
    }

    .footer-links {
        font-size: 16px;
        justify-content: end;
    }

    .footer-copyright {
        font-size: 14px;
        text-align: end;
    }

    .hero-description {
        font-size: 24px;
    }

    .h2 {
        font-size: 40px;
    }

    .h3 {
        font-size: 24px;
    }

    .sobretitulo {
        font-size: 30px;
    }

    .equipo-foto {
        width: 220px;
        height: 130px;
        object-fit: contain;
    }

    .user-info {
        display: block;
        width: auto;
    }

    .w-60-responsive {
        width: 60%;
    }

    .btn-agregar {
        width: auto;
    }

}

.side-nav-wrapper {
    padding: 20px;
    border-radius: 10px;
    background-color: var(--white);
    box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
}


/* Escritorio */
@media (min-width: 1200px) {
    .navbar-expand-xl .offcanvas {
        flex-grow: 0;
    }
}

/* Calendario mobile */
@media (max-width: 768px) {

  .calendar_grid {
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .calendar_weekday {
    display: none; /* ocultar días */
  }

  .calendar_day {
    min-height: auto;
    flex-direction: row;
    align-items: center;
    gap: 12px;
    padding: 10px;
  }

  .calendar_day time {
    font-size: 16px;
    font-weight: 700;
    min-width: 32px;
    text-align: center;
  }

  .calendar_day > div {
    flex: 1;
  }

  .calendar_event {
    font-size: 14px;
  }

  .calendar_event-time {
    font-size: 13px;
  }

  .calendar_btn-todos {
    font-size: 13px;
  }

  .calendar_day:not(.calendar_day--disponible):not(.calendar_day--inscrito):not(.calendar_day--lleno) {
    display: none;
  }
}

/* Login Mobile */
@media (max-width: 991px) {
  .login-hero {
    min-height: 220px;
  }
}
